> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Card Invoice Statement CSV URL

> Generate Card Invoice Statement CSV URL for an invoice



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cards/invoices/{id}/export
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/invoices/{id}/export:
    get:
      tags:
        - cards
      summary: Generate Card Invoice Statement CSV URL
      description: Generate Card Invoice Statement CSV URL for an invoice
      operationId: TrioFoundationWeb.Banking.Card.InvoiceController.export
      parameters:
        - description: Invoice ID
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Entity ID
          in: query
          name: entity_id
          required: true
          schema:
            type: string
        - description: Card ID
          in: query
          name: card_id
          required: false
          schema:
            type: string
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Statement_CSV_response'
          description: Created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Statement_CSV_response:
      description: Statement CSV response
      example:
        data:
          from_datetime: '2024-11-04T14:24:28.430838Z'
          to_datetime: '2024-11-04T14:24:28.430838Z'
          url: >-
            https://app.trio.com.br/invoice_statements/closed/company/org/entidade_0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b.csv
      properties:
        data:
          properties:
            from_datetime:
              description: From datetime
              format: date-time
              type: string
            to_datetime:
              description: To datetime
              format: date-time
              type: string
            url:
              description: URL
              type: string
          type: object
      title: Statement CSV response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````